{% extends "lab_10/layout/base.html" %}

{% block content %}
<h2><b>{{ movie.title }} </b>({{ movie.year }})</h2>

<div class="box">
    <img src="{{movie.poster}}" style="width: 20%;">
    {% if added %}
    <button class="btn btn-success"> Added to Watch Later </button>
    {% else %}
    <a href="{% url 'lab-10:add_watch_later' id %}" class="btn btn-warning"> Add to Watch Later </a>
    {% endif%}
</div>

<div class="movie-info-container">
    <div class="movie-info"><b>MOVIE INFO</b></div>
    <div class="column" style="margin-left: 20px;">
        <p>{{movie.plot}}</p>
        <div><b>Rating:</b> {{movie.rated}}</div>
        <div><b>Genre:</b> {{movie.genre}}</div>
        <div><b>Directed by:</b> {{movie.director}}</div>
        <div><b>Written by:</b> {{movie.writer}}</div>
        <div><b>Casts:</b> {{movie.actors}}</div>
        <div><b>In Theaters:</b> {{movie.released}}</div>
    </div>
</div>
{% endblock %}